<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class LabelAssociationAction extends \Google\Protobuf\Internal\Message
{
    


    protected $labeled = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLabeled()
    {
        return isset($this->labeled) ? $this->labeled : false;
    }

    public function hasLabeled()
    {
        return isset($this->labeled);
    }

    public function clearLabeled()
    {
        unset($this->labeled);
    }

    




    public function setLabeled($var)
    {
        GPBUtil::checkBool($var);
        $this->labeled = $var;

        return $this;
    }

}

